/*12软件沈俊坚    ------动态创建登录注册页,用户资料子页面*/
//动态创建登录注册
UJ.Cre.C = function (a, b) {
    if (!$("#User")[0]) {
        var UJ_C = $("#UJ_C")[0];
        var User = $$("div", { "className": "User", "id": "User" }, UJ_C);
        var User_left = $$("div", { "className": "User_left", "id": "User_left" }, User);
        var User_left_Pic = $$("div", { "className": "User_left_Pic", "id": "User_left_Pic" }, User_left);
        $$("img", { "src": "img/login/login.jpg" }, User_left_Pic);
    }
    if (b == 1) {
        if (!$("#" + a)[0]) {
            var User = $("#User")[0];
            var User_login = $$("div", { "className": "User_login", "id": "User_login" }, User);
            var User_right = $$("div", { "className": "User_right", "id": "User_right" }, User_login);
            var User_right_C = $$("div", {}, User_right);
            var User_left_text = $$("div", { "className": "User_left_text", "id": "User_left_text" }, User_right_C);
            var h = $$("div", { "innerHTML": "欢迎光临美宝商城！ 请登陆" }, User_left_text);
            $$("a", { "innerHTML": "免费注册", "onclick": [[UJ.Cre.C, (["User_reg", 0])]] }, h);
            var User_right_ul = $$("ul", {}, User_right);
            for (var i = 15; i < 17; i++) {
                var o = $$("li", {}, User_right_ul);
                $$("div", { "className": "User_left_text_left", "id": "User_left_text_left", "innerHTML": JBOX_arr[i][1] }, o);
                var User_left_text_right = $$("div", { "className": "User_left_text_right", "id": "User_left_text_right" }, o);
                var input = $$("input", { "type": JBOX_arr[i][4], "value": JBOX_arr[i][2], "id": JBOX_arr[i][0] }, User_left_text_right);
                var User_left_text_right_p = $$("div", { "className": "User_left_text_right_p", "id": "User_left_text_right_p" }, User_left_text_right);
                $$("img", { "src": "img/login/" + JBOX_arr[i][3] + "" }, User_left_text_right_p);
            }
            var BT = $$("div", { "className": "BT", "id": "BT", "onclick": [[UJ.User.login, (["login_reg"])]] }, User_right);
            $$("img", { "src": "img/login/icon4.jpg" }, BT);
            var rember = $$("div", { "className": "rember", "id": "rember" }, User_right);
            var remberL = $$("div", { "className": "remberL", "id": "remberL" }, rember);
            $$("input", { "type": "checkbox", "checked": "checked" }, remberL);
            $$("div", { "innerHTML": "记住用户名" }, remberL);
            var remberR = $$("div", { "className": "remberR", "id": "remberR" }, rember);
            $$("a", { "innerHTML": "忘记密码？", "onclick": [[UJ.Cre.C, (["User_Reback", 2])]] }, remberR);
            var fre = $$("div", { "className": "fre clear" }, User_right);
            $$("div", { "innerHTML": "使用合作网站登录：", "className": "text" }, fre);
            var qq = $$("div", { "className": "UJ_left" }, fre);
            var qq_c = $$("div", {}, qq);
            $$("img", { "src": "img/login/Connect_logo_3.png" }, qq_c);
            var weibo = $$("div", { "className": "UJ_left weibo" }, fre);
            var weibo_c = $$("div", {}, weibo);
            $$("img", { "src": "img/login/loginButton_24.png" }, weibo_c);
        }
        UJ.Fnx.showHide(["User_reg", "User_Reback"], "User_login", 0);
    }
    else {
        var img, o;
        //注册
        if (b == 0) {
            if (!$("#" + a)[0]) {
                var User = $("#User")[0];
                var User_reg = $$("div", { "className": "User_reg", "id": "User_reg" }, User);
                var User_right = $$("div", { "className": "User_right", "id": "User_right" }, User_reg);
                var User_right_C = $$("div", {}, User_right);
                var User_left_text = $$("div", { "className": "User_left_text", "id": "User_left_text" }, User_right_C);
                var h = $$("div", { "innerHTML": "欢迎光临美宝商城！ 已有帐号" }, User_left_text);
                $$("a", { "innerHTML": "登录", "onclick": [[UJ.Cre.C, (["User_login", 1])]] }, h);
                var User_right_ul = $$("ul", {}, User_right);
                for (var i = 17; i < 21; i++) {
                    var o = $$("li", { "className": "reg" }, User_right_ul);
                    $$("div", { "className": "User_left_text_left User_reg_text", "id": "User_left_text_left", "innerHTML": JBOX_arr[i][1] }, o);
                    var User_left_text_right = $$("div", { "className": "User_left_text_right", "id": "User_left_text_right" }, o);
                    var input = $$("input", { "className": "input_text", "type": JBOX_arr[i][3], "value": JBOX_arr[i][2], "id": JBOX_arr[i][0] }, User_left_text_right);
                }
                o = $$("li", { "id": "ver_li" }, User_right_ul);
                $$("div", { "className": "User_left_text_left User_reg_text", "id": "User_left_text_left", "innerHTML": "验证码" }, o);
                var User_left_text_right = $$("div", { "className": "User_left_text_right", "id": "User_left_text_right" }, o);
                var input = $$("input", { "className": "input_text  Ver", "type": "text", "id": "Ver" }, User_left_text_right);
                var img = $$("img", { "id": "Ver_img", "className": "Ver_img", "title": "看不清换一张", "onclick": [[UJ.Fnx.ChangeImg, (["Ver_img", "ver_li"])]] }, o);
                $$("a", { "innerHTML": "换一张", "onclick": [[UJ.Fnx.ChangeImg, (["Ver_img", "ver_li"])]] }, o);
                var BT = $$("div", { "className": "BT BT_n", "id": "BT", "onclick": [[UJ.User.reg, (["login_reg"])]] }, User_right);
                $$("img", { "src": "img/login/iconZC.jpg" }, BT);
            }
            UJ.Fnx.showHide(["User_login", "User_Reback"], "User_reg", 0);
        }

        else {
            if (!$("#" + a)[0]) {
                var User = $("#User")[0];
                var User_reg = $$("div", { "className": "User_reg", "id": "User_Reback" }, User);
                var User_right = $$("div", { "className": "User_right", "id": "User_right" }, User_reg);
                var User_right_C = $$("div", {}, User_right);
                var User_left_text = $$("div", { "className": "User_left_text", "id": "User_left_text" }, User_right_C);
                var h = $$("div", { "innerHTML": "欢迎光临美宝商城！ 已有帐号" }, User_left_text);
                $$("a", { "innerHTML": "登录", "onclick": [[UJ.Cre.C, (["User_login", 1])]] }, h);
                var User_right_ul = $$("ul", {}, User_right);
                for (var i = 168; i < 171; i++) {
                    var o = $$("li", { "className": "reg" }, User_right_ul);
                    $$("div", { "className": "User_left_text_left User_reg_text", "id": "User_left_text_left", "innerHTML": JBOX_arr[i][1] }, o);
                    var User_left_text_right = $$("div", { "className": "User_left_text_right", "id": "User_left_text_right" }, o);
                    var input = $$("input", { "className": "input_text", "type": JBOX_arr[i][3], "value": JBOX_arr[i][2], "id": JBOX_arr[i][0] }, User_left_text_right);
                }
                o = $$("li", { "id": "New_li" }, User_right_ul);
                $$("div", { "className": "User_left_text_left User_reg_text", "id": "User_left_text_left", "innerHTML": "验证码" }, o);
                var User_left_text_right = $$("div", { "className": "User_left_text_right", "id": "User_left_text_right" }, o);
                var input = $$("input", { "className": "input_text  Ver", "type": "text", "id": "Ver", "onclick": [[UJ.Fnx.ChangeImg, (["Ver_img", "New_li"])]] }, User_left_text_right);
                var img = $$("img", { "id": "Ver_img", "className": "Ver_img", "title": "看不清换一张" }, o);
                $$("a", { "innerHTML": "换一张", "onclick": [[UJ.Fnx.ChangeImg, (["Ver_img", "New_li"])]] }, o);
                var BT = $$("div", { "className": "BT BT_n", "id": "BT", "onclick": [[UJ.User.reg, (["login_reg"])]] }, User_right);
                $$("img", { "src": "img/login/iconZH.jpg" }, BT);
            }
            var o = $$("li", { "id": "ver_li" }, User_right_ul);
            $$("div", { "className": "User_left_text_left User_reg_text", "id": "User_left_text_left", "innerHTML": "验证码" }, o);
            var User_left_text_right = $$("div", { "className": "User_left_text_right", "id": "User_left_text_right" }, o);
            var input = $$("input", { "className": "input_text  Ver", "type": "text", "id": "Ver" }, User_left_text_right);
            UJ.Fnx.img = $$("img", { "id": "Ver_img", "className": "Ver_img", "title": "看不清换一张", "onclick": [[UJ.Fnx.ChangeImg, ([])]] }, o);
            $$("a", { "innerHTML": "换一张", "onclick": [[UJ.Fnx.ChangeImg, ([])]] }, o);
            var BT = $$("div", { "className": "BT BT_n", "id": "BT", "onclick": [[UJ.User.reg, (["login_reg"])]] }, User_right);
            //            $$("div", { "innerHTML": "确定找回", "className": "BT_Text" }, BT);
            $$("img", { "src": "img/login/iconRB.png" }, BT);
        }
        UJ.Fnx.ChangeImg("Ver_img", "New_li");
    }
    UJ.User.onfocuText();
}

/*动态创建用户中心*/
UJ.Cre.Account = function (a, b, c) {
    switch (b) {
        case 107: if (!$("#" + c)[0]) {
                UJ.Cre.My_order(a)
          }
            UJ.Fnx.showHide(["Edu", "theBox", "Personal_info", "UJ_Account_safe", "UJ_Address", "Account_Help", "My_love"], c, 3);
            break; //我的订单
        case 108: if (!$("#" + c)[0]) { UJ.Cre.My_love(a) }
            UJ.Fnx.showHide(["Edu", "theBox", "Personal_info", "UJ_Account_safe", "UJ_Address", "Account_Help", "My_order"], c, 3);
            break; //我的收藏
        case 109: if (!$("#" + c)[0]) { UJ.Cre.Mybaby() }
            UJ.Fnx.showHide(["Account_Help", "Edu", "Personal_info", "UJ_Account_safe", "UJ_Address", "My_order", "Account_Eva", "My_love"], c, 3);
            break; //购物车
        case 112: if (!$("#" + c)[0]) { UJ.Cre.Account_Eva() }
            UJ.Fnx.showHide(["Account_Help", "Edu", "Personal_info", "UJ_Account_safe", "UJ_Address", "theBox"], c, 3);
            break; //用户评价
        case 113: if (!$("#" + c)[0]) { UJ.Cre.AccountHelp_tour() }
            UJ.Fnx.showHide(["Account_Eva", "Edu", "Personal_info", "UJ_Account_safe", "UJ_Address", "theBox", "User_Content"], c, 3);
            break; //帮助中心
        case 118: if (!$("#" + c)[0]) { UJ.Cre.Account_c() }
            UJ.Fnx.showHide(["Account_Help", "theBox", "UJ_Account_safe", "UJ_Address", "My_order", "Account_Eva", "My_love"], [c, "Edu"], 3);
            break; //用户信息
        case 119: if (!$("#" + c)[0]) { UJ.Cre.Account_safe() }
            UJ.Fnx.showHide(["Account_Help", "Edu", "Personal_info", "theBox", "UJ_Address", "Account_Eva"], c, 3);
            break; //帐号安全
        case 120: if (!$("#" + c)[0]) { UJ.Cre.getGoodsAddress(); }
            UJ.Fnx.showHide(["Account_Help", "Edu", "Personal_info", "theBox", "UJ_Account_safe", "Account_Eva"], c, 3);
            break; //收货地址
        default: break;
    }
    if ($("#UJ_bg")[0]) {
        $("#UJ_bg").remove();
        $("#Edu").remove();
    }
}

/*动态创建用户页面*/
UJ.Cre.Mybaby = function () {
    //if (!$("#out")[0] || $("#out")[0].style.display != "block") { U.Alert("请先登录", 200); return; }
    var User = $$("div", { "className": "User_Content", "id": "User_Content" }, "");
    $("#UU")[0].insertBefore(User, $("#footer")[0]);
    $("#UJ_C")[0].style.marginTop = "0px";
    var tour = $$("div", { "className": "tour" }, User);
    $$("strong", { "innerHTML": "您现在所在的位置：" }, tour);
    $$("a", { "innerHTML": "首页" }, tour);
    $$("div", { "innerHTML": ">" }, tour);
    $$("a", { "innerHTML": "我的用户" }, tour);
    $$("div", { "innerHTML": ">" }, tour);
    $$("a", { "innerHTML": "我的购物车", "id": "UJ_UserHere" }, tour);

    var User_Content_left = $$("div", { "className": "User_Content_left", "id": "User_Content_left" }, User);
    $$("h2", { "innerHTML": "用户中心" }, User_Content_left);
    /*订单 客户*/
    for (var i = 106; i < 111; i++) {
        var leftItem = $$("ul", { "className": "leftItem", "id": "leftItem" }, User_Content_left);
        var LeftItemTitle = $$("div", { "className": "LeftItemTitle" }, leftItem);
        $$("strong", { "innerHTML": JBOX_arr[i][0] }, LeftItemTitle);
        $$("img", { "src": "img/User/icon-1.jpg" }, LeftItemTitle);
        for (var j = i + 1; j < i + 4; j++) {
            $$("li", { "id": "LeftItemContent_" + j, "className": "LeftItemContent", "innerHTML": "<a>" + JBOX_arr[j][0] + "</a>", "onclick": [[UJ.Fnx.Tour_onclick, ([User_Content_left, "LeftItemContent_" + j, 0])], [UJ.Cre.Account, ([User, j, JBOX_arr[j][1]])]] }, leftItem);
        }
        if (j != 110) { break; }
        i = 109;
    }
    /*改款*/
    var leftItem = $$("div", { "className": "leftItem" }, User_Content_left);
    var LeftItemTitle = $$("div", { "className": "LeftItemTitle" }, leftItem);
    $$("strong", { "innerHTML": "该款翻新" }, LeftItemTitle);
    $$("img", { "src": "img/User/icon-1.jpg" }, LeftItemTitle);
    for (var j = 115; j < 117; j++) {
        $$("li", { "id": "LeftItemContent_" + j, "className": "LeftItemContent", "innerHTML": "<a>" + JBOX_arr[j][0] + "</a>", "onclick": [[UJ.Fnx.Tour_onclick, ([User_Content_left, "LeftItemContent_" + j, 0])], [UJ.Cre.Account, ([User, j, JBOX_arr[j][1]])]] }, leftItem);
    }
    /*账户*/
    var leftItem = $$("ul", { "className": "leftItem", "id": "leftItem" }, User_Content_left);
    var LeftItemTitle = $$("ul", { "className": "LeftItemTitle" }, leftItem);
    $$("strong", { "innerHTML": "账户中心" }, LeftItemTitle);
    $$("img", { "src": "img/User/icon-1.jpg" }, LeftItemTitle);
    for (var i = 118; i < 123; i++) {
        $$("li", { "id": "LeftItemContent_" + i, "className": "LeftItemContent", "innerHTML": "<a>" + JBOX_arr[i][0] + "</a>", "onclick": [[UJ.Fnx.Tour_onclick, ([User_Content_left, "LeftItemContent_" + i, 0])], [UJ.Cre.Account, (["User_Content_right", i, JBOX_arr[i][1]])]] }, leftItem);
    }
    var User_Content_right = $$("div", { "className": "User_Content_right", "id": "User_Content_right" }, User);
    UJ.Cre.shopcar(User_Content_right);
    $("#UU #UJ_T #User_Content")[0].children[1].children[1].children[3].children[0].style.color = "#d62f75";
}
/*动态创建购物车*/
UJ.Cre.shopcar = function (User_Content_right) {
    var theBox = $$("ul", { "id": "theBox", "className": "theBox" }, User_Content_right);
    var boxRow_1 = $$("li", { "className": "boxRow_1" }, theBox);
    $$("img", { "src": "img/User/slt.jpg" }, boxRow_1);
    $$("li", { "className": "xhx" }, theBox);
    $$("li", { "className": "boxRow_2", "innerHTML": "购物车" }, theBox);
    var boxRow_3 = $$("li", { "className": "boxRow_3" }, theBox);
    var br1 = $$("div", { "className": "br1" }, boxRow_3);
    $$("input", { "type": "checkbox", "name": "chooseall", "checked": "checked" }, br1);
    for (var i = 123; i < 129; i++) {
        $$("div", { "className": "br" + (i - 121), "innerHTML": JBOX_arr[i][0] }, boxRow_3);
    }
    var boxRow_5 = $$("li", { "className": "boxRow_5", "innerHTML": "<div class = UJ_count>0</div><div>件商品总计(不含运费):&nbsp</div><font><div className='UJ_money'>￥0.00</div></font>" }, theBox);
    var boxRow_6 = $$("li", { "className": "boxRow_6" }, theBox);
    var div1 = $$("div", { "className": "div1" }, boxRow_6);
    $$("img", { "src": "img/User/buy.jpg" }, div1);
    var div2 = $$("div", { "className": "div2" }, boxRow_6);
    $$("img", { "src": "img/User/qjs.jpg" }, div2);
    $$("div", { "className": "clear lastdiv" }, User_Content_right);
}
/*动态创建个人信息*/
UJ.Cre.Account_c = function () {
    var P = $$("div", { "id": "Personal_info", "className": "Personal_info" }, "");
    $("#User_Content_right")[0].insertBefore(P, $(".lastdiv")[0]);
    var largeTitle = $$("ul", { "className": "largeTitle" }, P);
    $$("li", { "innerHTML": "个人信息" }, largeTitle);
    var infoList = $$("div", { "className": "infoList" }, P);
    $$("div", { "className": "infoTitle", "innerHTML": "会员信息" }, infoList);
    var infoContent = $$("div", { "className": "infoContent" }, infoList);
    var infoContentLeft = $$("ul", { "className": "infoContentLeft" }, infoContent);
    var infoContentRow = $$("li", { "className": "infoContentRow" }, infoContentLeft);
    $$("li", { "className": "icr_1", "innerHTML": "用户名：" }, infoContentRow);
    $$("li", { "className": "icr_2", "id": "Account_UserName" }, infoContentRow);
    var infoContentRow = $$("li", { "className": "infoContentRow" }, infoContentLeft);
    $$("li", { "className": "icr_1", "innerHTML": "真实姓名：" }, infoContentRow);
    var icr_2 = $$("li", { "className": "icr_2 icr_input" }, infoContentRow);
    $$("input", { "type": "text", "id": "Account_c_name" }, icr_2);
    $$("li", { "className": "icr_3", "innerHTML": "仅自己可见" }, infoContentRow);
    var infoContentRow = $$("li", { "className": "infoContentRow" }, infoContentLeft);
    $$("li", { "className": "icr_1", "innerHTML": "性别：" }, infoContentRow);
    var icr_2 = $$("li", { "className": "icr_2" }, infoContentRow);
    $$("input", { "type": "radio", "value": "0", "className": "_input" }, icr_2);
    $$("div", { "innerHTML": "男", "className": "sex" }, icr_2);
    $$("input", { "type": "radio", "value": "1", "className": "_input" }, icr_2);
    $$("div", { "innerHTML": "女", "className": "sex" }, icr_2);
    $$("input", { "type": "radio", "value": "2", "className": "_input", "checked": "checked" }, icr_2);
    $$("div", { "innerHTML": "保密", "className": "sex" }, icr_2);
    var infoContentRow = $$("li", { "className": "infoContentRow" }, infoContentLeft);
    $$("li", { "className": "icr_1", "innerHTML": "所在地：" }, infoContentRow);
    var icr_2 = $$("li", { "className": "icr_2 City" }, infoContentRow);
    //U.City(icr_2, "");
    var infoContentRow = $$("li", { "className": "infoContentRow" }, infoContentLeft);
    $$("li", { "className": "icr_1 part_D", "innerHTML": "生日：" }, infoContentRow);
    var aa = $$("li", { "className": "icr_2" }, infoContentRow);
    //$$("div", { "id": "partDate", "className": "U_C_left icr_2_input", "innerHTML": "1990-01-01", "onclick": [[U.Date, (['partDate'])]] }, aa)
    var infoContentRight = $$("ul", { "className": "infoContentRight" }, infoContent);
    var icr_1 = $$("li", { "className": "icr_1" }, infoContentRight);
    $$("img", { "src": "img/User/df.jpg " }, icr_1);
    var icr_2 = $$("li", { "className": "icr_2" }, infoContentRight);
    $$("a", { "innerHTML": "修改头像" }, icr_2);
    $$("ul", { "className": "clear" }, infoContent);

    var infoList = $$("div", { "className": "infoList" }, P);
    $$("div", { "className": "infoTitle", "innerHTML": "联系信息" }, infoList);
    var infoContent = $$("div", { "className": "infoContent2" }, infoList);
    var infoContentLeft = $$("ul", { "className": "infoContentLeft" }, infoContent);
    var infoCRow = $$("li", { "className": "infoCRow" }, infoContentLeft);
    $$("div", { "innerHTML": "绑定邮箱：", "className": "infoDiv_1" }, infoCRow);
    var infoDiv_2 = $$("div", { "className": "infoDiv_2" }, infoCRow);
    $$("input", { "type": "text", "className": "text" }, infoDiv_2);
    $$("input", { "type": "button", "value": "绑定", "className": "button" }, infoDiv_2);
    var infoCRow = $$("li", { "className": "infoCRow" }, infoContentLeft);
    $$("div", { "innerHTML": "绑定手机：", "className": "infoDiv_1" }, infoCRow);
    var infoDiv_2 = $$("div", { "className": "infoDiv_2" }, infoCRow);
    $$("input", { "type": "text", "className": "text" }, infoDiv_2);
    $$("input", { "type": "button", "value": "绑定", "className": "button" }, infoDiv_2);

    var infoList = $$("div", { "className": "infoList" }, P);
    $$("div", { "className": "infoTitle", "innerHTML": "其他信息" }, infoList);
    var infoContent = $$("div", { "className": "infoContent2" }, infoList);
    var ul = $$("ul", {}, infoContent);
    $$("li", { "className": "infoCRow", "innerHTML": "完善更多个人信息，有助于我们为您提供更加个性化的服务；美宝商城将尊重并保护您的隐私。" }, ul);
    var infoCRow = $$("li", { "className": "infoCRow" }, ul);
    $$("div", { "innerHTML": "婚姻状况：", "className": "infoDiv_1" }, infoCRow);
    var infoDiv_2 = $$("div", { "className": "infoDiv_2" }, infoCRow);
    $$("input", { "type": "radio", "value": "1", "className": "_input" }, infoDiv_2);
    $$("div", { "innerHTML": "已婚", "className": "sex" }, infoDiv_2);
    $$("input", { "type": "radio", "value": "0", "className": "_input" }, infoDiv_2);
    $$("div", { "innerHTML": "未婚", "className": "sex" }, infoDiv_2);
    $$("input", { "type": "radio", "value": "3", "className": "_input" }, infoDiv_2);
    $$("div", { "innerHTML": "恋爱中", "className": "sex" }, infoDiv_2);
    $$("input", { "type": "radio", "value": "2", "className": "_input", "checked": "checked" }, infoDiv_2);
    $$("div", { "innerHTML": "保密", "className": "sex" }, infoDiv_2);
    var infoCRow = $$("li", { "className": "infoCRow" }, ul);
    $$("div", { "innerHTML": "最高学历：", "className": "infoDiv_1" }, infoCRow);
    var infoDiv_2 = $$("input", { "id": "_button", "className": "infoDiv_2 _button", "type": "button", "value": "点我" }, infoCRow);
    infoDiv_2.onclick = function () {
        UJ.Fnx.Select("Edu", 129, 134, JBOX_arr, this, "Personal_info", "User_Content_left");
    }
    $$("div", { "innerHTML": "保存修改", "className": "infoList UJ_SafeRep" }, P);
}
/*动态创建帐号安全*/
UJ.Cre.Account_safe = function () {
    var P = $$("div", { "id": "UJ_Account_safe", "className": "Personal_info UJ_Account_safe" }, "");
    $("#User_Content_right")[0].insertBefore(P, $(".lastdiv")[0]);
    var largeTitle = $$("ul", { "className": "largeTitle" }, P);
    $$("li", { "innerHTML": "帐户安全" }, largeTitle);

    var infoList = $$("div", { "className": "infoList" }, P);
    $$("div", { "className": "infoTitle", "innerHTML": "修改密码" }, infoList);
    var infoContent = $$("div", { "className": "infoContent2" }, infoList);
    //    var div = $$("div", { "className": "UJ_left UJ_Rem_Account_safe" }, infoList);
    //    $$("a", { "innerHTML": "建议定期更换密码,并设置密码一个包含字母加数字或符号,长度为6-20个字符的密码" }, div);
    var infoContentLeft = $$("ul", { "className": "infoContentLeft" }, infoContent);
    var infoCRow = $$("li", { "className": "infoCRow" }, infoContentLeft);
    $$("div", { "innerHTML": "旧密码：", "className": "infoDiv_1" }, infoCRow);
    var infoDiv_2 = $$("div", { "className": "infoDiv_2" }, infoCRow);
    $$("input", { "type": "text", "className": "text" }, infoDiv_2);
    var infoCRow = $$("li", { "className": "infoCRow" }, infoContentLeft);
    var div = $$("div", { "className": "UJ_left UJ_Rem_Account_safe" }, infoDiv_2);
    $$("a", { "innerHTML": "您的旧密码" }, div);
    $$("div", { "innerHTML": "新密码：", "className": "infoDiv_1" }, infoCRow);
    var infoDiv_2 = $$("div", { "className": "infoDiv_2" }, infoCRow);
    $$("input", { "type": "text", "className": "text" }, infoDiv_2);
    var div = $$("div", { "className": "UJ_left UJ_Rem_Account_safe" }, infoDiv_2);
    $$("a", { "innerHTML": "您的新密码" }, div);
    var infoCRow = $$("li", { "className": "infoCRow" }, infoContentLeft);
    $$("div", { "innerHTML": "确认密码：", "className": "infoDiv_1" }, infoCRow);
    var infoDiv_2 = $$("div", { "className": "infoDiv_2" }, infoCRow);
    $$("input", { "type": "text", "className": "text" }, infoDiv_2);
    var div = $$("div", { "className": "UJ_left UJ_Rem_Account_safe" }, infoDiv_2);
    $$("a", { "innerHTML": "请再一次输入新的密码" }, div);


    var infoList = $$("div", { "className": "infoList" }, P);
    $$("div", { "className": "infoTitle", "innerHTML": "信息验证" }, infoList);
    var infoContent = $$("div", { "className": "infoContent2" }, infoList);
    var infoContentLeft = $$("ul", { "className": "infoContentLeft" }, infoContent)
    var infoCRow = $$("li", { "className": "infoCRow" }, infoContentLeft);
    $$("div", { "innerHTML": "邮箱验证：", "className": "infoDiv_1" }, infoCRow);
    var infoDiv_2 = $$("div", { "className": "infoDiv_2" }, infoCRow);
    $$("input", { "type": "text", "className": "text" }, infoDiv_2);
    var div = $$("div", { "className": "UJ_left UJ_Rem_Account_safe" }, infoDiv_2);
    $$("a", { "innerHTML": "可用于登录,您在忘记密码的时候可以通过它找回密码" }, div);

    var infoList = $$("div", { "className": "infoList" }, P);
    $$("div", { "className": "infoTitle", "innerHTML": "支付信息" }, infoList);
    var infoContent = $$("div", { "className": "infoContent2" }, infoList);
    var infoContentLeft = $$("ul", { "className": "infoContentLeft" }, infoContent)
    var infoCRow = $$("li", { "className": "infoCRow" }, infoContentLeft);
    $$("div", { "innerHTML": "支付卡号：", "className": "infoDiv_1" }, infoCRow);
    var infoDiv_2 = $$("div", { "className": "infoDiv_2" }, infoCRow);
    $$("input", { "type": "text", "className": "text" }, infoDiv_2);
    var div = $$("div", { "className": "UJ_left UJ_Rem_Account_safe" }, infoDiv_2);
    $$("a", { "innerHTML": "用于虚拟用户支付卡号,请填写完整哦" }, div);
    var infoCRow = $$("li", { "className": "infoCRow" }, infoContentLeft);
    $$("div", { "innerHTML": "支付密码：", "className": "infoDiv_1" }, infoCRow);
    var infoDiv_2 = $$("div", { "className": "infoDiv_2" }, infoCRow);
    $$("input", { "type": "text", "className": "text" }, infoDiv_2);
    var div = $$("div", { "className": "UJ_left UJ_Rem_Account_safe" }, infoDiv_2);
    $$("a", { "innerHTML": "用于虚拟用户支付，并设置密码一个包含字母加数字或符号,长度为6-20个字符的密码" }, div);

    var infoList = $$("div", { "className": "infoList" }, P);
    $$("div", { "className": "infoTitle", "innerHTML": "会员卡" }, infoList);
    var infoContent = $$("div", { "className": "infoContent2" }, infoList);
    var infoContentLeft = $$("ul", { "className": "infoContentLeft" }, infoContent)
    var infoCRow = $$("li", { "className": "infoCRow" }, infoContentLeft);
    $$("div", { "innerHTML": "会员卡号：", "className": "infoDiv_1" }, infoCRow);
    var infoDiv_2 = $$("div", { "className": "infoDiv_2" }, infoCRow);
    $$("input", { "type": "text", "className": "text" }, infoDiv_2);
    var div = $$("div", { "className": "UJ_left UJ_Rem_Account_safe" }, infoDiv_2);
    $$("a", { "innerHTML": "在网站中,会员资格的卡号哦" }, div);
    var infoCRow = $$("li", { "className": "infoCRow" }, infoContentLeft);
    $$("div", { "innerHTML": "会员卡密：", "className": "infoDiv_1" }, infoCRow);
    var infoDiv_2 = $$("div", { "className": "infoDiv_2" }, infoCRow);
    $$("input", { "type": "text", "className": "text" }, infoDiv_2);
    var div = $$("div", { "className": "UJ_left UJ_Rem_Account_safe" }, infoDiv_2);
    $$("a", { "innerHTML": "在网站中,会员资格的卡号密码哦" }, div);

    var infoList = $$("div", { "className": "infoList" }, P);
    $$("div", { "className": "infoTitle", "innerHTML": "修改会员卡密" }, infoList);
    var infoContent = $$("div", { "className": "infoContent2" }, infoList);
    var infoContentLeft = $$("ul", { "className": "infoContentLeft" }, infoContent)
    var infoDiv_2 = $$("div", { "className": "infoDiv_2" }, infoCRow);
    var infoCRow = $$("li", { "className": "infoCRow" }, infoContentLeft);
    $$("div", { "innerHTML": "旧密码：", "className": "infoDiv_1" }, infoCRow);
    var infoDiv_2 = $$("div", { "className": "infoDiv_2" }, infoCRow);
    $$("input", { "type": "text", "className": "text" }, infoDiv_2);
    var infoCRow = $$("li", { "className": "infoCRow" }, infoContentLeft);
    var div = $$("div", { "className": "UJ_left UJ_Rem_Account_safe" }, infoDiv_2);
    $$("a", { "innerHTML": "您的会员卡的旧密码哦" }, div);
    $$("div", { "innerHTML": "新密码：", "className": "infoDiv_1" }, infoCRow);
    var infoDiv_2 = $$("div", { "className": "infoDiv_2" }, infoCRow);
    $$("input", { "type": "text", "className": "text" }, infoDiv_2);
    var infoCRow = $$("li", { "className": "infoCRow" }, infoContentLeft);
    var div = $$("div", { "className": "UJ_left UJ_Rem_Account_safe" }, infoDiv_2);
    $$("a", { "innerHTML": "您所要设置的会员卡的新密码哦" }, div);
    $$("div", { "innerHTML": "确认密码：", "className": "infoDiv_1" }, infoCRow);
    var infoDiv_2 = $$("div", { "className": "infoDiv_2" }, infoCRow);
    $$("input", { "type": "text", "className": "text" }, infoDiv_2);
    var div = $$("div", { "className": "UJ_left UJ_Rem_Account_safe" }, infoDiv_2);
    $$("a", { "innerHTML": "请再一次输入新的密码" }, div);
    $$("div", { "innerHTML": "保存修改", "className": "infoList UJ_SafeRep" }, P);
}
/*动态创建用户收货地址*/
UJ.Cre.getGoodsAddress = function () {
    var P = $$("div", { "id": "UJ_Address", "className": "Personal_info UJ_Address" }, "");
    $("#User_Content_right")[0].insertBefore(P, $(".lastdiv")[0]);
    var largeTitle = $$("ul", { "className": "largeTitle" }, P);
    $$("li", { "innerHTML": "收货地址管理" }, largeTitle);
    var creatBox = $$("div", { "className": "creatBox" }, P);
    var div = $$("div", { "className": "AcreatAdres", "innerHTML": "创建收货地址" }, creatBox);
    var writeAdress = $$("div", { "className": "writeAdress", "id": "writeAdress" }, P);
    div.onclick = function () {
        $("#" + writeAdress).animate({ "height": "450px" }, 100);
        var ALayout = $$("div", { "id": "ALayout", "className": "ALayout" }, writeAdress);
        var CreatLay = $$("div", { "id": "CreatLay", "className": "CreatLay" }, writeAdress);
        var UJ_close = $$("div", { "className": "UJ_Cclose", "id": "UJ_Cclose" }, CreatLay);
        $$("img", { "src": "img/User/NewClose.jpg" }, UJ_close);
        var ul = $$("ul", {}, CreatLay);
        for (var i = 134; i < 141; i++) {
            var li = $$("li", {}, ul);
            $$("div", { "className": "AbocListL", "innerHTML": JBOX_arr[i][0] }, li);
            if (i == 135) {
                //U.City(li, "");
                //return;
            } else {
                var div = $$("div", { "className": "AbocListR AsendName" }, li);
                $$("input", { "type": "text" }, div);
                $$("div", { "className": "clear" }, li);
            }
        }
        //$$("div", { "innerHTML": "确认信息", "className": "infoList UJ_SafeRep" }, P);
        $$("div", { "className": "clear" }, CreatLay);
    }
}
/*我的订单*/
UJ.Cre.My_order = function (a) {
    var P = $$("div", { "id": "My_order", "className": "Personal_info UJ_Account_safe" }, "");
    $("#User_Content_right")[0].insertBefore(P, $(".lastdiv")[0]);
    var largeTitle = $$("ul", { "className": "largeTitle" }, P);
    $$("li", { "innerHTML": "我的订单" }, largeTitle);
    var OrderS = $$("div", { "id": "order_search", "className": "order_s" }, P);  //搜索
    var OrderSearch = $$("ul", { "class": "OrderUl" }, OrderS);
    var OrderSelect = $$("li", { "class": "OrderSelect" }, OrderSearch);
    var OrderSelectH = $$("div", { "id": "OrderSelectText", "innerHTML": "全部订单", "className": "OrderSelectH" }, OrderSelect);
    OrderSelectH.onclick = function () {
        UJ.Fnx.Select("current_status", "184", "189", JBOX_arr, this, "order_search","");  //订单状态
    }
    $$("div", { "innerHTML": "下单时间 :", "className": "xiadansj" }, OrderSelect);
    $$("input", { "type": "text", "class": "", "readonly": "readonly", "onclick": "alert('后期将弹出日历');" }, OrderSelect);
    $$("div", { "innerHTML": "至", "className": "xiadansj" }, OrderSelect);
    $$("input", { "type": "text", "readonly": "readonly", "onclick": "alert('后期将弹出日历');" }, OrderSelect);
    $$("input", { "id": "OrderSearch", "type": "text", "class": "Search" }, OrderSelect);
    $$("input", { "type": "image", "className": "confirm", "src": "img/User/submit.jpg", "onclick": "alert('');" }, OrderSelect);
    var TheOrder = $$("div", { "className": "TheOrder" }, P);
    var text = $$("div", { "className": "OrderText" }, TheOrder);
    $$("div", { "class": "right", "innerHTML": "共 <div id='record' style='display: inline'>0</div> 条记录 共<div id='page' style='display: inline'>0</div>页 很抱歉!没有找到符合您条件的相关信息!" }, text);
}
/*我的收藏*/

UJ.Cre.My_love = function () {
    var P = $$("div", { "id": "My_love", "className": "My_love" }, "");
    $("#User_Content_right")[0].insertBefore(P, $(".lastdiv")[0]);
    var largeTitle = $$("ul", { "className": "largeTitle left" }, P);
    var goods = $$("li", { "id": "My_love_li_major", "class": "My_love_li  My_love_li_major", "innerHTML": "收藏的商品" }, largeTitle);
    $$("img", { "src": "../../img/User/tabBj2.jpg", "className": "left" }, largeTitle);
    var brand = $$("li", { "id": "My_love_li", "class": "My_love_li", "innerHTML": "收藏的品牌" }, largeTitle);
    var ListLaast = $$("li", { "className": "My_love_li " }, largeTitle);
    ListLaast.style.width = "727px";
    goods.onclick = function () {
        $("#TheOrder").css("display", "block");
        $("#BoxBrand").css("display", "none");
        $("#My_love_li").css("color", "#ADADAD");
        $("#My_love_li").css("background", "url(../../img/User/liBj.jpg) no-repeat 0 bottom");
        this.style.background = "url(../../img/User/tabBj.jpg) no-repeat 0 bottom";
        this.style.color = " #d82c74";
    }
    brand.onclick = function () {
        $("#BoxBrand").css("display", "block");
        $("#TheOrder").css("display", "none");
        $("#My_love_li_major").css("color", "#ADADAD");
        $("#My_love_li_major").css("background", "url(../../img/User/liBj.jpg) no-repeat 0 bottom");
        this.style.background = "url(../../img/User/tabBj.jpg) no-repeat 0 bottom";
        this.style.color = " #d82c74";
    }
    var TheOrder = $$("div", { "id": "TheOrder", "className": "TheOrder" }, P);
    var MyLove_select = $$("li", { "className": "MyLove_select  left" }, TheOrder);
    $$("input", { "className": "left Mylove_font", "type": "checkbox", "onclick": "" }, MyLove_select);
    $$("font", { "className": "left Mylove_font", "innerHTML": "全选" }, MyLove_select);
    $$("div", { "className": "CLayList", "innerHTML": "加入珠宝箱" }, MyLove_select);
    $$("div", { "className": "CLayList", "innerHTML": "取消收藏" }, MyLove_select);
    var BoxMenu = $$("div", { "id": "BoxMenu", "className": "BoxMenu left ", "innerHTML": "" }, TheOrder);
    var BoxMenu_ul = $$("ul", { "className": "BoxMenu_ul" }, BoxMenu);
    for (var i = 189; i < 194; i++) {
        $$("li", { "id": "BoxMenu_li_" + i, "className": "BoxMenu_li  left ", "innerHTML": JBOX_arr[i][0] }, BoxMenu_ul);
    }
    var text = $$("div", { "className": "OrderText" }, TheOrder);
    $$("div", { "class": "right", "innerHTML": "共 <div id='record' style='display: inline'>0</div> 条记录 共<div id='page' style='display: inline'>0</div>页 很抱歉!没有找到符合您条件的相关信息!" }, text);
    var BoxBrand = $$("div", { "id": "BoxBrand", "className": "BoxBrand" }, P);
    $$("p", { "className": "BoxBrand_P", "innerHTML": JBOX_arr[194][0] }, BoxBrand);
    $$("p", { "className": "BoxBrand_P", "innerHTML": JBOX_arr[195][0] }, BoxBrand);
    var text = $$("div", { "className": "OrderText" }, BoxBrand);
    $$("div", { "class": "right", "innerHTML": "共 <div id='record' style='display: inline'>0</div> 条记录 共<div id='page' style='display: inline'>0</div>页 很抱歉!没有找到符合您条件的相关信息!" }, text);
}

/*动态创建用户积分*/
UJ.Cre.UJ_Integral = function () {
    var P = $$("div", { "id": "UJ_Integral", "className": "Personal_info UJ_Integral" }, "");
    $("#User_Content_right")[0].insertBefore(P, $(".lastdiv")[0]);
    var largeTitle = $$("ul", { "className": "largeTitle" }, P);
    $$("li", { "innerHTML": "积分系统" }, largeTitle);
    var Integral_whole = $$("div", { "className": "Integral_whole" }, P);
    var Integral_whole_Rule = $$("table", { "classsName": "Integral_whole_Rule" }, Integral_whole);
    var Integral_whole_Rule_tbody = $$("tbody", Integral_Rule);
    var Integral_whole_Rule_tbody_tr = $$("tr", Integral_whole_Rule_tbody);
    var Integral_whole_Rule_tbody_th = $$("th", Integral_whole_Rule_tbody_tr);

} 
/*动态创建用户评价*/
UJ.Cre.Account_Eva = function () {
    var P = $$("div", { "id": "Account_Eva", "className": "Personal_info Account_Eva" }, "");
    $("#User_Content_right")[0].insertBefore(P, $(".lastdiv")[0]);
    var largeTitle = $$("ul", { "className": "largeTitle" }, P);
    $$("li", { "innerHTML": "评价管理" }, largeTitle);
    var ul = $$("ul", { "className": "Account_Eva_Top", "id": "Account_Eva_Top" }, P);
    for (var i = 141; i < 144; i++) {
        $$("li", { "id": JBOX_arr[i][0], "innerHTML": JBOX_arr[i][1], "onclick": [[UJ.Cre.Account_Eva_Change, ([JBOX_arr[i][0], P, i])]] }, ul);
    }
    $$("div", { "className": "clear" }, ul);

    var ul = $$("ul", { "className": "Account_Eva_Title", "id": "Account_Eva_Title_" + JBOX_arr[143][0] }, P);
    for (var i = 144; i < 149; i++) {
        $$("li", { "innerHTML": JBOX_arr[i][0], "className": JBOX_arr[i][1] }, ul);
    }
    $$("div", { "className": "clear" }, ul);

    /*模拟数据库返回来的数据*/
    var o = [["好评", "商品让我爱不释手,卖家舒服态度也很好,真的不错的。值得推荐", "血月丶仙道", "金海湾 狐狸银手链 925银手链", "删除"]];
    var ul = $$("ul", { "className": "Account_Eva_content", "id": "Account_Eva_content_" + JBOX_arr[143][0] }, P);
    for (var i = 0; i < o.length; i++) {
        for (var j = 0; j < o[i].length; j++) {
            $$("li", { "innerHTML": o[i][j], "className": "li" + (j + 1) }, ul)
        }
    }
    $$("div", { "className": "clear" }, ul);
    $("#Account_Eva_Top")[0].children[2].style.background = "rgb(239, 64, 137)";
    $("#Account_Eva_Top")[0].children[2].style.color = "#fff";
}
/*动态创建用户评价切换*/
UJ.Cre.Account_Eva_Change = function (a, b, c) {
    for (var i = 0; i < $("#Account_Eva_Top")[0].children.length; i++) {
        $("#Account_Eva_Top")[0].children[i].style.color = "black";
        $("#Account_Eva_Top")[0].children[i].style.background = "#e2e2e2";
    }
    $("#" + a)[0].style.color = "black";
    $("#" + a)[0].style.background = "rgb(239, 64, 137)";
    if (!$("#Account_Eva_content_" + a)[0]) {
        var ul = $$("ul", { "className": "Account_Eva_Title", "id": "Account_Eva_Title_" + a }, b);
        for (var i = 149; i < 154; i++) {
            $$("li", { "innerHTML": JBOX_arr[i][0], "className": JBOX_arr[i][1] }, ul);
        }
        $$("div", { "className": "clear" }, ul);
        /*如果以后有数据就去获取*/
        if ("Account_Eva_content_" + a != "Account_Eva_content_UJ_Eva_From_buyer") {
            var o = [["好评", "商品让我爱不释手,卖家舒服态度也很好,真的不错的。值得推荐", "血月丶仙道", "金海湾 狐狸银手链 925银手链", "删除"]];
            var ul = $$("ul", { "className": "Account_Eva_content", "id": "Account_Eva_content_" + JBOX_arr[c][0] }, b);
            for (var i = 0; i < o.length; i++) {
                for (var j = 0; j < o[i].length; j++) {
                    $$("li", { "innerHTML": o[i][j], "className": "li" + (j + 1) }, ul)
                }
            }

        } else {
            UJ.Fnx.isflg = true;
        }
        if (UJ.Fnx.isflg == true) {
            var ul = $$("ul", { "className": "Account_Eva_content", "id": "Account_Eva_content_" + JBOX_arr[c][0] }, b);
            $$("li", { "innerHTML": "很抱歉！没有任何关于买家评价您的数据<a>您未开店哦</a>", "className": "UJ_No_data" }, ul)
        }
        $$("div", { "className": "clear" }, ul);
    }
    UJ.Fnx.ExShowHide(["Account_Eva_Title_UJ_Eva_From_buyer", "Account_Eva_content_UJ_Eva_From_buyer", "Account_Eva_Title_UJ_Eva_FromSeller", "Account_Eva_content_UJ_Eva_FromSeller", "Account_Eva_Title_UJ_Eva_SendOther", "Account_Eva_content_UJ_Eva_SendOther"], ["Account_Eva_content_" + a, "Account_Eva_Title_" + a], "0px", "0");
}

